<html>
<body>
<h1> 12_bjt_amp_ac: pinout with spice/portmap </h1>

<h2> Scope </h2>
<p>
In this simulation we are going to look at a single-transistor amplifier
in frequency domain to verify how it amplifies a sine waves. Compared to
the <a href="../10_bjt_amp_tr/index.html">trans variant</a> the only difference is
how we specify the transistor pinout and how the simulation setup is configured.

<h2> The schematics </h2>
<p>
Largely the same as <a href="../10_bjt_amp_tr/index.html">trans variant</a>.
<p>
<center>
<a href="12_bjt_amp_ac.rs"><img src="../10_bjt_amp_tr/10_bjt_amp_tr.svg" width=600px></a>
<br>Click the image to get the sch-rnd sheet; also requires this <a href="project.lht">project.lht</a> in the same directory</center>
<p>

<h2> Preparing for simulation </h2>

<h3> Q1 </h3>
<p>
This example demonstrates using spice/portmap to set the pinout: the
stock spice/pinnum attributes has been manually removed from Q1 terminals and
a portmap attribute, array type, added to the Q1 symbol. The portmap is:
<pre>
{C->spice/pinnum=1}
{B->spice/pinnum=2}
{E->spice/pinnum=3}
</pre>
<p>
Since the attribute is called spice/portmap, it does not interfere with
the normal portmap attribute (installed by devmap in our example) and it
affects the spice workflow only.
<p>
The simulation setup process is largely the same as in the
<a href="../01_dc/index.html">base example of dc op point</a>. The simulation
setup in this example is called "ac characteristics".

<h3> Modifications </h3>
<p>
This circuit needs two voltage sources, which are both added as modifications.
The first one is a DC 5V source connected to net Vcc (and GND). The second
acts as the small signal AC source for the AC analysis, this it has a an AC
value (of 0.1 V); it is connected to net <i>in</i> (and GND).


<h3> Sim setup: output config </h3>
<p>
(Same as in <a href="../06_passive_ac/index.html"> example 06_passive_ac </a>)
<p>
This simulation has two output configs, one for displaying the transfer
(in decibel) and one for the phase (in radian). The reason for specify them
in two separate output is the largely different y scale and unit.
<p>
The first output uses <i>ac (dec)</i> for analysis. This will feed in 10
different frequencies per decade and caputre the output. This also means
the X axis, frequency, is logarithmic (common for frequency domain analysis).
<p>
The property to plot is <i>vdb(out)</i>, which is the "voltage decibel" of 
the network called out. Instead of the net name a component-port could be
specified within vdb().
<p>
The second output uses anlaysis <i>previous</i>, which means no new simulation
is ran, but the data of the previous simulation is used. The presentation is
also a plot of "out", but using the cph() function, which is the phase in
radian.
<p>
<center>
<img src="sim_run.png">
<br>Simulation setup dialog, third tab, after execution</center>
<p>

